Created by James Westby on 2009-12-05 and last modified on 2010-02-14
Get this branch:
bzr branch lp:debian/squeeze/ndiswrapper
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Ubuntu branches

Recent revisions

10. By Julian Andres Klode on 2010-02-14

* Imported Upstream version 1.56
* Drop all patches, they are shipped upstream now.
* debian/ndiswrapper.8, debian/loadnsisdriver.8: Escape the "-".

9. By Julian Andres Klode on 2010-02-02

* use-conf-in-modprobe-d.diff: Use /etc/modprobe.d/ndiswrapper.conf,
  not /etc/modprobe.d/ndiswrapper.
* fix-cmpxchg8b.diff: Fix compilation for kernel >= 2.6.31 on i386
  (Closes: #568065).

8. By Julian Andres Klode on 2010-02-01

* Imported Upstream version 1.55
* fix-typo-in-netdev-ops-struct.patch: Drop patch, now upstream.
* debian/control: Increase Standards-Version to 3.8.4.
* Create a ndiswrapper-dkms package, recommend it in ndiswrapper-
* debian/control: Add Vcs-Git and Vcs-Browser fields.
* debian/control: Add ${misc:Depends} to ndiswrapper-source
* Switch to 3.0 (quilt) source package format.

7. By Julian Andres Klode on 2009-03-28

* Fix FTBFS with kernel 2.6.29 (Closes: #521212)
  - Patch by Stefan Lippers-Hollmann <email address hidden>
* debian/control: Change section of ndiswrapper-source to "kernel".

6. By Julian Andres Klode on 2009-03-17

* New upstream release
  - Fixes building with Kernel 2.6.27 and newer (Closes: #519988)
* Dropping all our patches, all included upstream
* Upgrade to Policy 3.8.1, no changes required

5. By Kel Modderman <email address hidden> on 2008-11-06

Add debian/patches/CVE-2008-4395.patch to fix a vulnerability in handling
of long ESSIDs which allows execution of code as root via remote attacker.
(Closes: #504696)

4. By Julian Andres Klode on 2008-07-14

[ Kel Modderman ]
* New upstream release. (Closes: #484019)
* Include driver/*.sh in debianized ndiswrapper module tarball.
* The distclean Makefile target no longer exists, use clean instead.
* No longer need to define KSRC in debian/rules/modules, upstream Makefile
  requires only the KBUILD variable.
* Major behaviour change in ndiswrapper-common wrappers for loadndisdriver
  and ndiswrapper utils:
  - check required utils_version attribute of currently installed
    ndiswrapper kernel module, use this version instead of latest version if
    called interactively
  - fallback to detection of latest API version when the information cannot
    be determined from the kernel module (not yet installed)
* Remove dilinger from Uploaders as per his request.
* Remove commented out quilt related code from debian/rules.

[ Julian Andres Klode ]
* debian/control{,.modules.in}:
  - Make me the new maintainer and move Kel to uploaders
  - Add Dm-Upload-Allowed
  - Remove VCS-* fields first, until the new repository has been created
  - Add information to description that pre-compiled modules may be available
  - Update the Standards Version to 3.8.0
* debian/copyright: Follow machine-interpretable copyright
* debian/patches/modules-build.diff: build correctly if only the modules
  target is built or in parallel (LP: #241547) (backported from SVN, r2670)
* Build-Depend on quilt and add README.source

3. By Andres Salomon on 2005-04-10

Argh, missed a bit w/ amd64 support; it should build now.

2. By Herbert Xu on 2004-10-02

Initial release.'

1. By Herbert Xu on 2004-10-02

Import upstream version 0.10

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.